OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_GlobalNodeOfWriterLib Class Reference

`#include <StepData_GlobalNodeOfWriterLib.hxx>`

## Public Member Functions
Standard_EXPORT | StepData_GlobalNodeOfWriterLib ()
Standard_EXPORT void | Add (const Handle(StepData_ReadWriteModule)&amodule, const Handle(StepData_Protocol)&aprotocol)
Standard_EXPORT const Handle_StepData_ReadWriteModule & | Module () const
Standard_EXPORT const Handle_StepData_Protocol & | Protocol () const
Standard_EXPORT const Handle_StepData_GlobalNodeOfWriterLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepData_ReadWriteModule | themod
Handle_StepData_Protocol | theprot
Handle_StepData_GlobalNodeOfWriterLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT StepData_GlobalNodeOfWriterLib::StepData_GlobalNodeOfWriterLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_GlobalNodeOfWriterLib::Add | ( | const Handle(StepData_ReadWriteModule)& | amodule,
|  | const Handle(StepData_Protocol)& | aprotocol
| ) |

Standard_EXPORT const StepData_GlobalNodeOfWriterLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_StepData_ReadWriteModule& StepData_GlobalNodeOfWriterLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_StepData_GlobalNodeOfWriterLib& StepData_GlobalNodeOfWriterLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_StepData_Protocol& StepData_GlobalNodeOfWriterLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_StepData_ReadWriteModule StepData_GlobalNodeOfWriterLib::themod`[private]`

Handle_StepData_GlobalNodeOfWriterLib StepData_GlobalNodeOfWriterLib::thenext`[private]`

Handle_StepData_Protocol StepData_GlobalNodeOfWriterLib::theprot`[private]`

The documentation for this class was generated from the following file:

- StepData_GlobalNodeOfWriterLib.hxx